Bug 1129798 - [abrt] PackageKit: hif_sack_add_sources(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: hif_sack_add_sources(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:062a169ba16e65aed29e3c3481b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 17:07 UTC by Ernesto Manríquez
Modified: 2015-06-09 00:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-09 00:21:59 UTC


Attachments (Terms of Use)
File: backtrace (20.89 KB, text/plain)
2014-08-13 17:07 UTC, Ernesto Manríquez
no flags Details
File: cgroup (200 bytes, text/plain)
2014-08-13 17:07 UTC, Ernesto Manríquez
no flags Details
File: core_backtrace (8.75 KB, text/plain)
2014-08-13 17:07 UTC, Ernesto Manríquez
no flags Details
File: dso_list (7.97 KB, text/plain)
2014-08-13 17:07 UTC, Ernesto Manríquez
no flags Details
File: environ (120 bytes, text/plain)
2014-08-13 17:07 UTC, Ernesto Manríquez
no flags Details
File: exploitable (110 bytes, text/plain)
2014-08-13 17:07 UTC, Ernesto Manríquez
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-13 17:07 UTC, Ernesto Manríquez
no flags Details
File: maps (35.62 KB, text/plain)
2014-08-13 17:07 UTC, Ernesto Manríquez
no flags Details
File: open_fds (1.67 KB, text/plain)
2014-08-13 17:07 UTC, Ernesto Manríquez
no flags Details
File: proc_pid_status (907 bytes, text/plain)
2014-08-13 17:07 UTC, Ernesto Manríquez
no flags Details
File: var_log_messages (801 bytes, text/plain)
2014-08-13 17:07 UTC, Ernesto Manríquez
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 83078 None None None Never

Description Ernesto Manríquez 2014-08-13 17:07:36 UTC
Description of problem:
Fedora 21 Alpha 0 [branched]. This segfault happens as a result of running the packagekit resident service.

Version-Release number of selected component:
PackageKit-0.9.4-3.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: hif_sack_add_sources
executable:     /usr/libexec/packagekitd
kernel:         3.16.0-1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 hif_sack_add_sources at hif-sack.c:140
 #1 hif_context_setup_sack at hif-context.c:803
 #2 hif_context_setup at hif-context.c:912
 #3 pk_backend_initialize at pk-backend-hif.c:203
 #4 pk_backend_load at pk-backend.c:588
 #5 pk_engine_load_backend at pk-engine.c:1059

Comment 1 Ernesto Manríquez 2014-08-13 17:07:39 UTC
Created attachment 926524 [details]
File: backtrace

Comment 2 Ernesto Manríquez 2014-08-13 17:07:40 UTC
Created attachment 926525 [details]
File: cgroup

Comment 3 Ernesto Manríquez 2014-08-13 17:07:41 UTC
Created attachment 926526 [details]
File: core_backtrace

Comment 4 Ernesto Manríquez 2014-08-13 17:07:42 UTC
Created attachment 926527 [details]
File: dso_list

Comment 5 Ernesto Manríquez 2014-08-13 17:07:43 UTC
Created attachment 926528 [details]
File: environ

Comment 6 Ernesto Manríquez 2014-08-13 17:07:44 UTC
Created attachment 926529 [details]
File: exploitable

Comment 7 Ernesto Manríquez 2014-08-13 17:07:45 UTC
Created attachment 926530 [details]
File: limits

Comment 8 Ernesto Manríquez 2014-08-13 17:07:47 UTC
Created attachment 926531 [details]
File: maps

Comment 9 Ernesto Manríquez 2014-08-13 17:07:48 UTC
Created attachment 926532 [details]
File: open_fds

Comment 10 Ernesto Manríquez 2014-08-13 17:07:49 UTC
Created attachment 926533 [details]
File: proc_pid_status

Comment 11 Ernesto Manríquez 2014-08-13 17:07:50 UTC
Created attachment 926534 [details]
File: var_log_messages

Comment 12 Ankur Sinha (FranciscoD) 2014-08-26 00:24:46 UTC
Confirming. The crash happens repeatedly and frequently. I'm guessing that this will cause gnome-software to not function properly too.

Comment 13 Ankur Sinha (FranciscoD) 2014-08-26 09:55:26 UTC
Filing upstream https://bugs.freedesktop.org/show_bug.cgi?id=83078

Comment 14 Kalev Lember 2015-06-09 00:21:59 UTC
According to the retrace server, this crash last occurred more than 6 months
ago on 2014-09-03 and is thus likely to have been fixed with a package update.
Please reopen if you can reproduce it.


Note You need to log in before you can comment on or make changes to this bug.